BEGIN ~BUBB~
IF ~True()
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 GOTO 2
  IF ~~ THEN REPLY @3 GOTO 3
END

IF ~~ THEN BEGIN 1
  SAY @4
  ++ @5 + 2
END

IF ~~ THEN BEGIN 2
  SAY @6
  ++ @7 + Maybe
END

IF ~~ THEN BEGIN 3
  SAY @8
  ++ @5 + 2
END

IF ~~ Maybe
SAY @9
++ @10 + Ok
END

IF ~~ Ok
SAY @11
++ @12 + Join
++ @13 + No
END

IF ~~ Join
SAY @14
IF ~~ THEN DO ~JoinParty()
~ EXIT
END

IF ~~ No
SAY @15
IF ~~ THEN DO ~EscapeArea()
~ EXIT
END
